/*
Orange color: #e67e22
*/

/* ----------------------------------------------------------- */
/* BASIC SETUP */
/* ----------------------------------------------------------- */


* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
    background-color: #fff;
    color: #555;
    font-family: 'Lato', 'Arial', sans-serif;
    font-weight: 300;
    font-size: 20px;
    text-rendering: optimizeLegibility;
    overflow-x: hidden;
}

.clearfix {zoom: 1}
.clearfix:after {
    content: '.';
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}


/* ----------------------------------------------------------- */
/* RESUSABLE COMPONENTS */
/* ----------------------------------------------------------- */


.row {
    max-width: 1140px;
    margin: 0 auto;
    padding: 0 2%;
}

section {
    padding: 80px 0;
}

.box {
    padding: 0 0;
    margin: 0;
}


/* ----- Headings ----- */


h1, 
h2,
h3,
h4 {
    font-weight: 300;
    text-transform: uppercase;
}

h1 {
    margin-top: 0;
    margin-bottom: 20px;
    color: #fff;
    font-size: 240%;
    word-spacing: 4px;
    letter-spacing: 1px;
}

h2 {
    font-size: 180%;
    word-spacing: 2px;
    text-align: center;
    margin-bottom: 30px;
    letter-spacing: 1px;
}

h3 {
    font-size: 130%;
    margin-bottom: 5px;
    margin-top: 15px;
    letter-spacing: 1px;
    font-weight: 400;
}

h4 {
    margin-bottom: 15px;
}

h2:after {
    display: block;
    height: 2px;
    background-color: #e67e22;
    content: " ";
    width: 100px;
    margin: 0 auto;
    margin-top: 30px;
}

h4:after {
    display: block;
    height: 2px;
    background-color: #e67e22;
    content: " ";
    width: 100px;
    margin: 0;
    margin-top: 15px;
}



/* ----- PARAGRAPHS ----- */


.long-copy {
    line-height: 145%;
    width: 70%;
    margin-left: 15%;
}

.box p {
    font-size: 90%;
    line-height: 145%;
}

p {
    font-size: 90%;
    line-height: 145%;
}


/* ----- LINKS ----- */


a:link,
a:visited {
    color: #e67e22;
    text-decoration: none;
    padding-bottom: 1px;
    border-bottom: 1px solid #e67e22;
    -webkit-transition: border-bottom 0.2s, color 0.2s;
    transition: border-bottom 0.2s, color 0.2s;
}

a:hover,
a:active {
    color: #555;
    border-bottom: 1px solid transparent;
}


/* ----- BUTTONS ----- */


.btn:link,
.btn:visited {
    display: inline-block;
    padding: 10px 30px;
    font-weight: 300;
    text-decoration: none;
    border-radius: 200px;
    -webkit-transition: background-color 0.2s, border 0.2s, color 0.2s;
    transition: background-color 0.2s, border 0.2s, color 0.2s;
}

.btn-full:link,
.btn-full:visited {
    background-color: #e67e22;
    border: 1px solid #e67e22;
    color: #fff;
    margin-right: 15px;
}

.btn-ghost:link,
.btn-ghost:visited {
    border: 1px solid #e67e22;
    color: #e67e22;
}

.btn:hover,
.btn:active {
    background-color: #cf6d17;
}

.btn-full:hover,
.btn-full:active {
    border: 1px solid #cf6d17;
}

.btn-ghost:hover,
.btn-ghost:active {
    border: 1px solid #cf6d17;
    color: #fff;
}


/* ----- COMING SOON ----- */


.coming-soon {
    margin-bottom: 0px;
    text-align: center;
}


/* ----------------------------------------------------------- */
/* HEADERS */
/* ----------------------------------------------------------- */


/*header {
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/homepageBackground4-min.jpg);
    background-size: cover;
    background-position: top;
    height: 100vh;

}*/

.homepage {
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0.7)), to(rgba(0, 0, 0, 0.7))), url(img/homepageBackground4-min.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/homepageBackground4-min.jpg);
    background-size: cover;
    background-position: top;
    height: 100vh;
}

.portfolio-main {
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0.7)), to(rgba(0, 0, 0, 0.7))), url(img/.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/.jpg);
    background-size: cover;
    background-position: top;
    height: 100vh;
}

.hero-text-box {
    position: absolute;
    width: 1140px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%)
}

.logo {
    height: 100px;
    width: auto;
    float: left;
    margin-top: 20px;
}

.logo-black {
    display: none;
    height: 50px;
    width: auto;
    float: left;
    margin: 5px 0;
}

.logo-black { display: none; }

/* Main navi */
.main-nav {
    float: right;
    list-style: none;
    margin-top: 60px;
}

.main-nav li {
    display: inline-block;
    margin-left: 40px;
}

.main-nav li a:link,
.main-nav li a:visited {
    padding: 8px 0;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 90%;
    border-bottom: 2px solid transparent;
    -webkit-transition: border-bottom 0.2s;
    transition: border-bottom 0.2s;
}

.main-nav li a:hover,
.main-nav li a:active {
    border-bottom: 2px solid #e67e22;
}

/* Sticky navi */

.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.98);
    -webkit-box-shadow: 0 2px 2px #efefef;
    box-shadow: 0 2px 2px #efefef;
    z-index: 9999;
}

.sticky .main-nav { margin-top: 18px; }

.sticky .main-nav li a:link,
.sticky .main-nav li a:visited {
    padding: 17px 0;
    color: #555;
}

.sticky .logo { display: none; }
.sticky .logo-black { display: block; }

/* Mobile navi */
.mobile-nav-icon {
    float: right;
    margin-top: 15px;
    cursor: pointer;
    display: none;
}

.mobile-nav-icon i {
    font-size: 200%;
    color: #fff;
}


/* ----------------------------------------------------------- */
/* PORTFOLIO */
/* ----------------------------------------------------------- */


.section-portfolio .long-copy {
    margin-bottom: 80px;
    text-align: center;
}

.section-portfolio {
    padding-bottom: 0px;
}

.portfolio-img-main {
    display: block;
    width: 100%;
}

.portfolio-img-small {
    display: block;
    width: 105%;
    margin: 0;
    /* padding: 1%; */
}

.portfolio-img-small:first-child {
    /* padding-top: 15px; */
}

.game-description {
    padding-right: 5%;
}

.portfolio-section-odd {
    background-color: #f4f4f4;
    padding-bottom: 40px;
}

.portfolio-section-even {
    background-color: #fff;
    padding-bottom: 40px;
}

.action-buttons {
    font-size: 90%;
    padding-top: 15px;
}

.action-buttons a {
    margin-right: 15px;
    margin-bottom: 15px;
}

/* ----------------------------------------------------------- */
/* PORTFOLIO SHOWCASE */
/* ----------------------------------------------------------- */


.section-showcase {
    padding: 0;
    margin: 0;
}

.projects-showcase {
    list-style: none;
    width: 100%;
}

.projects-showcase li {
    display: block;
    float: left;
    width: 25%;
}

.showcase-photo {
    width: 100%;
    margin: 0;
    overflow: hidden;
    background-color: #000;
}

.showcase-photo img {
    opacity: 0.7;
    width: 100%;
    height: auto;
    -webkit-transform: scale(1.15);
    transform: scale(1.15);
    -webkit-transition: opacity 0.5s, -webkit-transform 0.5s;
    transition: opacity 0.5s, -webkit-transform 0.5s;
    transition: transform 0.5s, opacity 0.5s;
    transition: transform 0.5s, opacity 0.5s, -webkit-transform 0.5s;
}

.showcase-photo img:hover {
    opacity: 1;
    -webkit-transform: scale(1.03);
    transform: scale(1.03);
}


/* ----------------------------------------------------------- */
/* RESUME */
/* ----------------------------------------------------------- */


.section-resume .skill-table-main {
    display: block;
    border: 1px solid #000;
}


.section-resume .skill-table-contents {
    width: 25%;
    float: left;
    text-align: center;
    line-height: 200%;
    background-color: #f4f4f4;
}


/* ----------------------------------------------------------- */
/* FOOTER */
/* ----------------------------------------------------------- */

footer {
    background-color: #333;
    padding: 50px;
    font-size: 80%;
}

.footer-nav {
    list-style: none;
    float: left;
}

.social-links {
    list-style: none;
    float: right;
}

.footer-nav li,
.social-links li {
    display: inline-block;
    margin-right: 20px;
}

.footer-nav li:last-child,
.social-links li:last-child {
    margin: 0;
}

.footer-nav li a:link,
.footer-nav li a:visited,
.social-links li a:link,
.social-links li a:visited {
    text-decoration: none;
    border: 0;
    color: #888;
    -webkit-transition: color 0.2s;
    transition: color 0.2s;
}

.footer-nav li a:hover,
.footer-nav li a:active {
    color: #ddd;
}

.social-links li a:link,
.social-links li a:visited {
    font-size: 160%;
}

.ion-social-linkedin,
.ion-social-twitter,
.ion-social-facebook,
.ion-social-youtube {
    -webkit-transition: 0.2s;
    transition: 0.2s;
}

.ion-social-linkedin:hover {
    color: #007bb5;
}

.ion-social-twitter:hover {
    color: #55acee;
}

.ion-social-facebook:hover {
    color: #3b5998;
}

.ion-social-youtube:hover {
    color: #ff0000;
}

footer p {
    color: #888;
    text-align: center;
    margin-top: 20px;
}


/* ----------------------------------------------------------- */
/* CONTACT */
/* ----------------------------------------------------------- */


.section-contact {
    background-color: #f4f4f4;
}


/* ----------------------------------------------------------- */
/* ANIMATIONS */
/* ----------------------------------------------------------- */



















